<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>DatabaseConfiguration.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Credenciamento</a> &gt; <a href="index.source.html" class="el_package">br.edu.unifacisa.lti.config</a> &gt; <span class="el_source">DatabaseConfiguration.java</span></div><h1>DatabaseConfiguration.java</h1><pre class="source lang-java linenums">package br.edu.unifacisa.lti.config;

import io.github.jhipster.config.JHipsterConstants;
import io.github.jhipster.config.liquibase.AsyncSpringLiquibase;

import com.fasterxml.jackson.datatype.hibernate5.Hibernate5Module;
import liquibase.integration.spring.SpringLiquibase;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.boot.autoconfigure.liquibase.LiquibaseProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.env.Environment;
import org.springframework.core.task.TaskExecutor;
import org.springframework.data.jpa.repository.config.EnableJpaAuditing;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import org.springframework.transaction.annotation.EnableTransactionManagement;

import javax.sql.DataSource;

@Configuration
@EnableJpaRepositories(&quot;br.edu.unifacisa.lti.repository&quot;)
@EnableJpaAuditing(auditorAwareRef = &quot;springSecurityAuditorAware&quot;)
@EnableTransactionManagement
public class DatabaseConfiguration {

<span class="fc" id="L28">    private final Logger log = LoggerFactory.getLogger(DatabaseConfiguration.class);</span>

    private final Environment env;

<span class="fc" id="L32">    public DatabaseConfiguration(Environment env) {</span>
<span class="fc" id="L33">        this.env = env;</span>
<span class="fc" id="L34">    }</span>

    @Bean
    public SpringLiquibase liquibase(@Qualifier(&quot;taskExecutor&quot;) TaskExecutor taskExecutor,
            DataSource dataSource, LiquibaseProperties liquibaseProperties) {

        // Use liquibase.integration.spring.SpringLiquibase if you don't want Liquibase to start asynchronously
<span class="fc" id="L41">        SpringLiquibase liquibase = new AsyncSpringLiquibase(taskExecutor, env);</span>
<span class="fc" id="L42">        liquibase.setDataSource(dataSource);</span>
<span class="fc" id="L43">        liquibase.setChangeLog(&quot;classpath:config/liquibase/master.xml&quot;);</span>
<span class="fc" id="L44">        liquibase.setContexts(liquibaseProperties.getContexts());</span>
<span class="fc" id="L45">        liquibase.setDefaultSchema(liquibaseProperties.getDefaultSchema());</span>
<span class="fc" id="L46">        liquibase.setDropFirst(liquibaseProperties.isDropFirst());</span>
<span class="pc bpc" id="L47" title="1 of 2 branches missed.">        if (env.acceptsProfiles(JHipsterConstants.SPRING_PROFILE_NO_LIQUIBASE)) {</span>
<span class="nc" id="L48">            liquibase.setShouldRun(false);</span>
        } else {
<span class="fc" id="L50">            liquibase.setShouldRun(liquibaseProperties.isEnabled());</span>
<span class="fc" id="L51">            log.debug(&quot;Configuring Liquibase&quot;);</span>
        }
<span class="fc" id="L53">        return liquibase;</span>
    }

    @Bean
    public Hibernate5Module hibernate5Module() {
<span class="fc" id="L58">        return new Hibernate5Module();</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>